srecord: srecord::input_filter_random_fill Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::input_filter_random_fill Class Reference

The srecord::input_filter_random_fill class is used to represent a filter which replaces in set data locations with random data. More...

`#include <random_fill.h>`

Inheritance diagram for srecord::input_filter_random_fill:
[legend]
Collaboration diagram for srecord::input_filter_random_fill:
[legend]

## Public Member Functions
virtual | ~input_filter_random_fill ()
| The destructor.
Public Member Functions inherited from srecord::input_filter
virtual | ~input_filter ()
| The destructor.
std::string | filename () const
| The filename method is used to get the name of the input file being processed.
std::string | filename_and_line () const
| The filename_and_line method is used to get the name and current line number within the file.
const char * | get_file_format_name () const
| The get_file_format_name method is used to find out the name of the file format being read.
void | disable_checksum_validation ()
| The disable_checksum_validation method is used to have this input stream ignore checksum errors.
Public Member Functions inherited from srecord::input
virtual | ~input ()
| The destructor.
virtual void | fatal_error (const char *,...) const FORMAT_PRINTF(2
| The fatal_error method is used to report problems parsing the file.
virtual void virtual void | fatal_error_errno (const char *,...) const FORMAT_PRINTF(2
| The fatal_error_errno method is used to report problems reading the input file.
virtual void virtual void virtual void | warning (const char *,...) const FORMAT_PRINTF(2
| The warning method is used to report potential (but non-fatal) problems parsing the file.
void | set_quit (quit &)
| The set_quit method is used to set the disposition of the error messages, and the "exit" implementation.
void | reset_quit (void)
| The reset_quit method is used to cause the disposition of the error messages, and the "exit" back to the default.
virtual void | command_line (srecord::arglex_tool *cmdln)
| The command_line method is used by arglex_srec::get_input when parsing the command line, to give a format or filter an opportunity to grab extra arguments off the command line.

## Static Public Member Functions
static pointer | create (const input::pointer &deeper, const interval &range)
| The create class method is used to create new dynamically allocated instances of this class.

## Protected Member Functions
bool | read (record &record)
| The read method is used to read one record from the input.
Protected Member Functions inherited from srecord::input_filter
| input_filter (input::pointer deeper)
| The constructor.
Protected Member Functions inherited from srecord::input
| input ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::input
typedef std::shared_ptr< input > | pointer
Protected Attributes inherited from srecord::input_filter
pointer | ifp

## Detailed Description

The srecord::input_filter_random_fill class is used to represent a filter which replaces in set data locations with random data.

Definition at line 34 of file random_fill.h.

## Constructor & Destructor Documentation

## ◆ ~input_filter_random_fill()

virtual srecord::input_filter_random_fill::~input_filter_random_fill | ( |  | ) |
| virtual

The destructor.

## Member Function Documentation

## ◆ create()

pointer srecord::input_filter_random_fill::create | ( | const input::pointer & | deeper,
|  | const interval & | range )
| static

The create class method is used to create new dynamically allocated instances of this class.

Parameters

  deeper | The incoming data source to be filtered
  range | the addres srange to be filled.

## ◆ read()

bool srecord::input_filter_random_fill::read | ( | record & | rec | ) |
| protectedvirtual

The read method is used to read one record from the input.

It returns 0 at the end of the input, and 1 if a record is read successfully.

See the srecord::record documentation (header file) for details of the various record types.

Note: there is no guarantee that a header record will appear first, or that a execution start address record will appear last.

Parameters

  rec | Where to put the returned data.

Returns
  bool; true if data was read, false if at end-of-file

Reimplemented from srecord::input_filter.

The documentation for this class was generated from the following file:

- input/filter/random_fill.h